## merkuro 24.08.2

=== debian/changelog ===
merkuro (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 18:19:26 -0500

merkuro (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:04:50 +0200

merkuro (24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Sep 2024 00:22:52 +0200

kalendar (22.12.3-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Fix missing comma.

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 May 2024 23:07:57 +0200

kalendar (22.12.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add qml-module-org-kde-kitemmodels as a runtime-dependency (Closes:
    #1070681).

 -- Patrick Franz <deltaone@debian.org>  Tue, 07 May 2024 12:55:49 +0200

kalendar (22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Drop mipsel from the architecture list: kalendar requires QtWebEngine,
    which will be removed soon from that architecture.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jul 2023 07:59:34 +0200

kalendar (22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:34:06 +0100

kalendar (22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:28:29 +0100

kalendar (22.12.0-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing runtime dependencies.

 -- Patrick Franz <deltaone@debian.org>  Mon, 23 Jan 2023 21:00:03 +0100

kalendar (22.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Limit build to architectures where the Qt 5 WebEngine is available
    as libkf5webengineviewer-dev is a hard dependency now.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Jan 2023 20:40:18 +0100

kalendar (22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:35:38 +0100

kalendar (22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Update lintian-overrides.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:06:39 +0100

kalendar (22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:55:36 +0100

kalendar (22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:13:25 +0200

kalendar (22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:11:21 +0200

kalendar (22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:47:19 +0200

=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libakonadi-dev (>= 4:24.08.2~),
               libakonadicalendar-dev (>= 4:24.08.2~),
               libakonadicontact-dev (>= 4:24.08.2~),
               libakonadimime-dev (>= 4:24.08.2~),
               libgpgme-dev,
               libkcalendarutils-dev (>= 4:24.08.2~),
               libkdepim-dev (>= 4:24.08.2~),
               libkf6calendarcore-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6contacts-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6qqc2desktopstyle-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkidentitymanagement-dev (>= 24.08.2~),
               libkirigami-dev (>= 6.3.0~),
               libkmailtransport-dev (>= 24.08.2~),
               libkmbox-dev (>= 24.08.2~),
               libkmime-dev (>= 24.08.2~),
               libmailcommon-dev (>= 4:24.08.2~),
               libmimetreeparser-dev (>= 24.08.2~),
               libpimcommon-dev (>= 4:24.08.2~),
               libplasma-dev,
               messagelib-dev (>= 4:24.08.2~),
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Rules-Requires-Root: no

Package: merkuro
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kdepim-runtime,
         plasma-desktoptheme,
         qml6-module-org-kde-kidentitymanagement,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-datetime,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-formcard,
         qml6-module-org-kde-kirigamiaddons-labs-components,
         qml6-module-org-kde-kirigamiaddons-settings,
         qml6-module-org-kde-kirigamiaddons-statefulapp,
         qml6-module-org-kde-kirigamiaddons-treeview,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-mimetreeparser,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtlocation,
         qml6-module-qtpositioning,
         qml6-module-qtqml,
         qml6-module-qtqml-base,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kalendarac,
Description: Application suite for emails, calendars, contacts and tasks
 Merkuro is a application suite designed to make handling your emails,
 calendars, contacts, and tasks simple. Merkuro handles local and remote
 accounts of your choice, keeping changes synchronised across your
 Plasma desktop or phone.

## merkuro 24.12.0

=== debian/changelog ===
merkuro (24.12.0-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Scan all qml files for dependencies.

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Dec 2024 18:31:54 +0100

merkuro (24.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:26 +0100

merkuro (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:40 +0100

merkuro (24.08.2-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.
  * Use dh_qmldeps.

 -- Patrick Franz <deltaone@debian.org>  Wed, 11 Dec 2024 21:23:27 +0100

=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libakonadi-dev (>= 4:24.12.0~),
               libakonadicalendar-dev (>= 4:24.12.0~),
               libakonadicontact-dev (>= 4:24.12.0~),
               libakonadimime-dev (>= 4:24.12.0~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkcalendarutils-dev (>= 4:24.12.0~),
               libkdepim-dev (>= 4:24.12.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 24.12.0~),
               libkirigami-dev (>= 6.6.0~),
               libkleo-dev (>= 4:24.12.0~),
               libkmailtransport-dev (>= 24.12.0~),
               libkmbox-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               libmailcommon-dev (>= 4:24.12.0~),
               libmimetreeparser-dev (>= 24.12.0~),
               libpimcommon-dev (>= 4:24.12.0~),
               libplasma-dev,
               messagelib-dev (>= 4:24.12.0~),
               qml6-module-qtlocation,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/merkuro
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/merkuro.git
Rules-Requires-Root: no

Package: merkuro
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kdepim-runtime,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: kalendarac,
Description: Application suite for emails, calendars, contacts and tasks
 Merkuro is a application suite designed to make handling your emails,
 calendars, contacts, and tasks simple. Merkuro handles local and remote
 accounts of your choice, keeping changes synchronised across your
 Plasma desktop or phone.

## merkuro 24.12.2

=== debian/changelog ===
merkuro (24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:08:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,21 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:24.12.0~),
-               libakonadicalendar-dev (>= 4:24.12.0~),
-               libakonadicontact-dev (>= 4:24.12.0~),
-               libakonadimime-dev (>= 4:24.12.0~),
+               libakonadi-dev (>= 4:24.12.2~),
+               libakonadicalendar-dev (>= 4:24.12.2~),
+               libakonadicontact-dev (>= 4:24.12.2~),
+               libakonadimime-dev (>= 4:24.12.2~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:24.12.0~),
-               libkdepim-dev (>= 4:24.12.0~),
+               libkcalendarutils-dev (>= 4:24.12.2~),
+               libkdepim-dev (>= 4:24.12.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -32,17 +32,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.0~),
+               libkidentitymanagement-dev (>= 24.12.2~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.0~),
-               libkmailtransport-dev (>= 24.12.0~),
-               libkmbox-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
-               libmailcommon-dev (>= 4:24.12.0~),
-               libmimetreeparser-dev (>= 24.12.0~),
-               libpimcommon-dev (>= 4:24.12.0~),
+               libkleo-dev (>= 4:24.12.2~),
+               libkmailtransport-dev (>= 24.12.2~),
+               libkmbox-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
+               libmailcommon-dev (>= 4:24.12.2~),
+               libmimetreeparser-dev (>= 24.12.2~),
+               libpimcommon-dev (>= 4:24.12.2~),
                libplasma-dev,
-               messagelib-dev (>= 4:24.12.0~),
+               messagelib-dev (>= 4:24.12.2~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),

## merkuro 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(merkuro VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "6.7.0")
set(KF_MIN_VERSION "6.6.0")

set(AKONADI_CONTACT_VERSION "6.3.3")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.3.3")
set(MAILTRANSPORT_LIB_VERSION "6.3.3")
set(CALENDARUTILS_LIB_VERSION "6.3.3")
set(AKONADICALENDAR_LIB_VERSION "6.3.3")
set(KMIME_LIB_VERSION "6.3.3")
set(AKONADI_LIB_VERSION "6.3.3")
set(MIMETREEPARSER_LIB_VERSION "6.3.3")
set(MAILCOMMON_LIB_VERSION "6.3.3")
set(AKONADIMIME_LIB_VERSION "6.3.3")
set(AKONADICONTACT_LIB_VERSION "6.3.3")
set(KMIME_LIB_VERSION "6.3.3")
set(MESSAGECOMPOSER_LIB_VERSION "6.3.3")
set(KMBOX_LIB_VERSION "6.3.3")
set(LIBKDEPIM_LIB_VERSION "6.3.3")
set(PIMCOMMON_LIB_VERSION "6.3.3")
set(KPIM_LIBKLEO_VERSION "6.3.3")

include(FeatureSummary)

################# set KDE specific information #################
find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)
include(KDEClangFormat)

include(ECMAddTests)
include(ECMCoverageOption)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGenerateExportHeader)
include(ECMPoQmTools)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMGenerateQmlTypes)
include(ECMQmlModule)
include(ECMInstallIcons)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX MERKURO
    SOVERSION ${PROJECT_VERSION_MAJOR}
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/src/config-merkuro.h"
)

################# Find dependencies #################
find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
    Core
    DBus
    Gui
    Svg
    Test
    Qml
    QuickControls2
    QuickTest
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    CalendarCore
    ConfigWidgets
    Contacts
    CoreAddons
    DBusAddons
    I18n
    IconThemes
    ItemModels
    Kirigami
    KIO
    QQC2DesktopStyle
    WindowSystem
    XmlGui
    Notifications
    Crash
)
find_package(KF6KirigamiAddons 1.4.0 REQUIRED)
set_package_properties(KF6QQC2DesktopStyle PROPERTIES
    TYPE RUNTIME
)

find_package(KPim6Libkleo ${KPIM_LIBKLEO_VERSION} CONFIG)
set_package_properties(KPim6Libkleo PROPERTIES
    DESCRIPTION "LibKleo Library"
    URL "https://invent.kde.org/pim/libkleo/"
    TYPE REQUIRED
)

find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG)
set_package_properties(Gpgmepp PROPERTIES
    DESCRIPTION "GpgME++ Library"
    URL "https://www.gnupg.org"
    TYPE REQUIRED
    PURPOSE "GpgME++ is required for OpenPGP support"
)

find_package(KPim6MessageComposer ${MESSAGECOMPOSER_LIB_VERSION} REQUIRED)
find_package(KPim6Akonadi ${AKONADI_LIB_VERSION} REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} REQUIRED)
find_package(KPim6AkonadiContactCore ${AKONADI_CONTACT_VERSION} REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} REQUIRED)
find_package(KPim6IdentityManagementCore ${IDENTITYMANAGEMENT_LIB_VERSION} REQUIRED)
find_package(KPim6IdentityManagementQuick ${IDENTITYMANAGEMENT_LIB_VERSION} REQUIRED)
find_package(KPim6MailCommon ${MAILCOMMON_LIB_VERSION} REQUIRED)
find_package(KPim6MailTransport ${MAILTRANSPORT_LIB_VERSION} REQUIRED)
find_package(KPim6MimeTreeParserCore ${MIMETREEPARSER_LIB_VERSION} REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} REQUIRED)
find_package(KPim6Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)

qt_policy(SET QTP0001 NEW)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DUNITY_CMAKE_SUPPORT)
endif()

################# build and install #################

ki18n_install(po)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
add_definitions(-DQT_STRICT_ITERATORS)
add_subdirectory(src)
add_subdirectory(icons)

ecm_qt_install_logging_categories(
    EXPORT MERKURO
    FILE merkuro.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: (C) 2020 Carl Schwan <carl@carlschwan.eu>
#
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(quick)
add_subdirectory(contacts)
add_subdirectory(mail)
add_subdirectory(calendar)
add_subdirectory(components)
if (MERKURO_FLATPAK)
    add_subdirectory(launcher)
    set(DESKTOP_EXEC "merkurolauncher")
    set(NO_DISPLAY "false")
else()
    set(DESKTOP_EXEC "merkuro-calendar")
    set(NO_DISPLAY "true")
endif()

configure_file(org.kde.merkuro.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/org.kde.merkuro.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.merkuro.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/calendar/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

set(merkuro_calendar_SRCS
    remindersmodel.h
    remindersmodel.cpp
    utils.h
    utils.cpp

    datetimestate.h
    datetimestate.cpp

    calendarmanager.cpp
    calendarmanager.h
    calendarapplication.cpp
    calendarapplication.h
    filter.cpp
    filter.h
    incidencewrapper.cpp
    incidencewrapper.h
    mousetracker.cpp
    mousetracker.h

    models/attachmentsmodel.cpp
    models/attachmentsmodel.h
    models/attendeesmodel.cpp
    models/attendeesmodel.h
    models/hourlyincidencemodel.cpp
    models/hourlyincidencemodel.h
    models/incidenceoccurrencemodel.cpp
    models/incidenceoccurrencemodel.h
    models/infinitemerkurocalendarviewmodel.cpp
    models/infinitemerkurocalendarviewmodel.h
    models/itemtagsmodel.cpp
    models/itemtagsmodel.h
    models/monthmodel.cpp
    models/monthmodel.h
    models/multidayincidencemodel.cpp
    models/multidayincidencemodel.h
    models/recurrenceexceptionsmodel.cpp
    models/recurrenceexceptionsmodel.h
    models/timezonelistmodel.cpp
    models/timezonelistmodel.h
    models/todosortfilterproxymodel.cpp
    models/todosortfilterproxymodel.h
)

ecm_qt_declare_logging_category(merkuro_calendar_SRCS
    HEADER merkuro_calendar_debug.h
    IDENTIFIER "MERKURO_CALENDAR_LOG"
    CATEGORY_NAME org.kde.merkuro.calendar
    DESCRIPTION "merkuro calendar"
    EXPORT MERKURO
)

qt_add_dbus_adaptor(merkuro_calendar_SRCS org.kde.calendar.Calendar.xml calendarapplication.h CalendarApplication)

add_library(merkuro_calendar_static STATIC ${merkuro_calendar_SRCS})
kconfig_add_kcfg_files(merkuro_calendar_static GENERATE_MOC calendarconfig.kcfgc)
set_target_properties(merkuro_calendar_static PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(merkuro_calendar_static PUBLIC
    Qt::DBus
    KF6::WindowSystem
    KF6::Contacts
    KF6::Crash
    KPim6::AkonadiCalendar
    KPim6::AkonadiContactCore
    KPim6::AkonadiWidgets
    KPim6::CalendarUtils
    MerkuroComponents
)


ecm_add_qml_module(merkuro_calendar_plugin URI "org.kde.merkuro.calendar" VERSION 1.0)

target_sources(merkuro_calendar_plugin PRIVATE
    calendarplugin.cpp
    calendarplugin.h
)

set_source_files_properties(models/todosortfilterproxymodel.cpp PROPERTIES SKIP_UNITY_BUILD_INCLUSION ON)

ecm_target_qml_sources(merkuro_calendar_plugin SOURCES
    qml/incidenceeditor/ReminderDelegate.qml
    qml/incidenceeditor/PriorityComboBox.qml
    qml/BottomToolBar.qml
    qml/Menus/MenuBar.qml
    qml/Controls/DatePopupSingleton.qml
)

set_source_files_properties(qml/Controls/DatePopupSingleton.qml PROPERTIES
    QT_QML_SINGLETON_TYPE TRUE
)

target_link_libraries(merkuro_calendar_plugin PUBLIC merkuro_calendar_static)

ecm_finalize_qml_module(merkuro_calendar_plugin
    DESTINATION ${KDE_INSTALL_QMLDIR}
    BUILD_SHARED_LIBS ON)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

#### Binary

add_executable(merkuro-calendar
    main.cpp
    importer.h
    importer.cpp
    resources.qrc
)
target_link_libraries(merkuro-calendar
    PRIVATE
        merkuro_calendar_static
        Qt::Widgets
        Qt::Quick
        Qt::QuickControls2
        KF6::I18n
        KF6::CoreAddons
        KF6::DBusAddons
        KF6::WindowSystem
        KF6::ConfigGui
)
if(TARGET KF6::I18nQml)
target_link_libraries(merkuro_calendar_static PRIVATE
        KF6::I18nQml
)
endif()
install(TARGETS merkuro-calendar ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.merkuro.calendar.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.calendar.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/components/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

# target: shared C++ library

set(merkuro_components_SRCS)

ecm_qt_declare_logging_category(merkuro_components_SRCS
    HEADER merkuro_components_debug.h
    IDENTIFIER "merkuro_components_LOG"
    CATEGORY_NAME org.kde.merkuro.components
    DESCRIPTION "merkuro components"
    EXPORT merkuro
)

add_library(MerkuroComponents SHARED
    abstractmerkuroapplication.cpp
    abstractmerkuroapplication.h
    colorproxymodel.cpp
    colorproxymodel.h
    sortedcollectionproxymodel.cpp
    sortedcollectionproxymodel.h
    ${merkuro_components_SRCS}
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MERKUROCOMPONENTS
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/MerkuroComponentsConfigVersion.cmake"
    SOVERSION 6
)

ecm_generate_export_header(MerkuroComponents
    VERSION ${PROJECT_VERSION}
    BASE_NAME MerkuroComponents
    DEPRECATION_VERSIONS
)

set_target_properties(MerkuroComponents PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "MerkuroComponents"
)

target_link_libraries(MerkuroComponents PUBLIC
    KirigamiAddonsStatefulApp
    KF6::I18n
    KF6::CalendarCore
    KF6::Contacts
    KPim6::AkonadiCore
)

target_include_directories(MerkuroComponents
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/MerkuroComponents>"
)

# target: shared QML library

ecm_add_qml_module(MerkuroComponents
    URI "org.kde.merkuro.components"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES org.kde.kirigamiaddons.statefulapp
)

ecm_target_qml_sources(MerkuroComponents SOURCES
    QML_FILES
        # Shell components
        qml/BaseApplication.qml

        # In window-menu components
        qml/EditMenu.qml
        qml/FileMenu.qml
        qml/WindowMenu.qml
        qml/HelpMenu.qml
        qml/SettingsMenu.qml

        # global menu components
        qml/NativeFileMenu.qml
        qml/NativeEditMenu.qml
        qml/NativeHelpMenu.qml
        qml/NativeWindowMenu.qml

        # Small controls
        qml/ColoredCheckbox.qml
)

ecm_finalize_qml_module(MerkuroComponents
    DESTINATION ${KDE_INSTALL_QMLDIR}
    BUILD_SHARED_LIBS OFF
)

# Install

install(TARGETS MerkuroComponents EXPORT MerkuroComponents ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

=== src/contacts/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

### Contact static lib

add_library(merkuro_contact_static STATIC)
set_target_properties(merkuro_contact_static PROPERTIES POSITION_INDEPENDENT_CODE ON)
kconfig_add_kcfg_files(merkuro_contact_static GENERATE_MOC contactconfig.kcfgc)
ecm_qt_declare_logging_category(merkuro_contact_static
    HEADER merkuro_contact_debug.h
    IDENTIFIER MERKURO_LOG
    CATEGORY_NAME org.kde.merkuro.contact
    DESCRIPTION "merkuro contact"
    EXPORT MERKURO
)

target_link_libraries(merkuro_contact_static PUBLIC KF6::ConfigGui Qt6::Qml)

### Contact QML Plugin lib

add_library(merkuro_contact SHARED)

target_link_libraries(merkuro_contact PUBLIC
    KF6::XmlGui
    KF6::Contacts
    KPim6::AkonadiWidgets
    KPim6::AkonadiContactCore
    MerkuroComponents
    merkuro_contact_static
    Gpgmepp
    QGpgmeQt6
    KPim6::Libkleo
)

set_target_properties(merkuro_contact PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_sources(merkuro_contact PUBLIC
    contactapplication.cpp
    contactapplication.h
    addresseewrapper.cpp
    addresseewrapper.h
    addressmodel.cpp
    addressmodel.h
    phonemodel.h
    phonemodel.cpp
    imppmodel.h
    imppmodel.cpp
    emailmodel.h
    emailmodel.cpp
    globalcontactmodel.cpp
    globalcontactmodel.h
    certificatesmodel.cpp
    certificatesmodel.h
    contactmanager.h
    contactmanager.cpp
    contactcollectionmodel.cpp
    contactcollectionmodel.h
    contacteditorbackend.h
    contacteditorbackend.cpp
    contactgroupeditor.h
    contactgroupeditor.cpp
    contactgroupwrapper.h
    contactgroupwrapper.cpp
    contactgroupmodel.h
    contactgroupmodel.cpp
    contactmetadata.cpp
    contactmetadata.h
    contactsmodel.cpp
    contactsmodel.h
    attributes/contactmetadataattribute_p.h
    attributes/contactmetadataattribute.cpp
    attributes/attributeregistrar.cpp
)

ecm_add_qml_module(merkuro_contact_plugin
    URI "org.kde.merkuro.contact"
    GENERATE_PLUGIN_SOURCE
    RESOURCES
        resources/fallbackBackground.png
)

ecm_target_qml_sources(merkuro_contact_plugin SOURCES
    qml/ContactChooserPage.qml
    qml/AddressBookCollectionHandler.qml
    qml/ContactView.qml
    qml/MenuBar.qml
    qml/Sidebar.qml
    qml/GlobalMenuBar.qml
    qml/ContactListItem.qml
    qml/Main.qml
    qml/Settings.qml
)

ecm_target_qml_sources(merkuro_contact_plugin
    PRIVATE PATH private SOURCES
    qml/private/ContactPage.qml
    qml/private/ContactGroupPage.qml
    qml/private/ContactsPage.qml
    qml/private/Header.qml
    qml/private/PhoneNumberDialog.qml
    qml/private/QrCodePage.qml
    qml/private/AddressBookMenu.qml
    qml/private/DeleteContactAction.qml
)

ecm_target_qml_sources(merkuro_contact_plugin
    PRIVATE PATH private/contact_editor SOURCES
    qml/private/contact_editor/AddressBookEditorCard.qml
    qml/private/contact_editor/BusinessEditorCard.qml
    qml/private/contact_editor/ContactEditorPage.qml
    qml/private/contact_editor/ContactGroupEditorPage.qml
    qml/private/contact_editor/EmailEditorCard.qml
    qml/private/contact_editor/PersonalInfoEditorCard.qml
    qml/private/contact_editor/PhoneEditorCard.qml
    qml/private/contact_editor/PhotoEditor.qml
    qml/private/contact_editor/InstantMessengerEditorCard.qml
)

target_link_libraries(merkuro_contact_plugin PRIVATE
    merkuro_contact
)

ecm_qt_install_logging_categories(
    EXPORT MERKURO
    FILE merkuro.contact.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

add_subdirectory(applet)

ecm_finalize_qml_module(merkuro_contact_plugin
    DESTINATION ${KDE_INSTALL_QMLDIR})

set_target_properties(merkuro_contact PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "merkuro_contact_plugin"
)

install(TARGETS merkuro_contact EXPORT MerkuroComponents ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

#### Binary

add_executable(merkuro-contact main.cpp)
target_link_libraries(merkuro-contact
    PRIVATE
        Qt::Widgets
        Qt::Quick
        Qt::QuickControls2
        KF6::I18n
        KF6::CoreAddons
        KF6::DBusAddons
        KF6::WindowSystem
        KF6::ConfigGui
        KF6::Crash
        KPim6::Libkleo
)
if(TARGET KF6::I18nQml)
target_link_libraries(merkuro-contact PUBLIC
   KF6::I18nQml
)
endif()

install(TARGETS merkuro-contact ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.merkuro.contact.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.contact.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== src/mail/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(settings)

set(merkuro_mail_SRCS
    mailapplication.cpp
    mailapplication.h
    mailmanager.cpp
    mailmanager.h
    mailmodel.cpp
    mailmodel.h
    contactimageprovider.cpp
    contactimageprovider.h

    messagestatus.h
    messagestatus.cpp
    messageloader.h
    messageloader.cpp

    mailkernel.h
    mailkernel.cpp

    mailheadermodel.h
    mailheadermodel.cpp

    mailclient.h
    mailclient.cpp

    identity/identitycryptographybackend.h
    identity/identitycryptographybackend.cpp
    identity/identitycryptographyeditorbackendfactory.h
    identity/identitycryptographyeditorbackendfactory.cpp
    identity/identitykeylistmodel.h
    identity/identitykeylistmodel.cpp

    messagehandler.cpp
    messagehandler.h
)

ecm_qt_declare_logging_category(merkuro_mail_SRCS
    HEADER merkuro_mail_debug.h
    IDENTIFIER "merkuro_MAIL_LOG"
    CATEGORY_NAME org.kde.merkuro.mail
    DESCRIPTION "merkuro mail"
    EXPORT merkuro
)

add_library(merkuro_mail_static STATIC ${merkuro_mail_SRCS})
target_include_directories(merkuro_mail_static PUBLIC identity)
kconfig_add_kcfg_files(merkuro_mail_static GENERATE_MOC mailconfig.kcfgc)
set_target_properties(merkuro_mail_static PROPERTIES POSITION_INDEPENDENT_CODE ON)
target_link_libraries(merkuro_mail_static
    PUBLIC
        KPim6::MessageComposer
        KPim6::MailCommon
        KPim6::MailTransport
        KPim6::AkonadiMime
        KPim6::IdentityManagementQuick
        KPim6::Mbox
        KPim6::Mime
        KPim6::Libkdepim
        KPim6::PimCommonAkonadi
        KPim6::MimeTreeParserCore
        KF6::XmlGui
        KF6::Codecs
        KF6::XmlGui
	KF6::Crash
        KF6::Notifications
        MerkuroComponents
)

ecm_add_qml_module(merkuro_mail_static
    URI "org.kde.merkuro.mail"
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        QtQuick
        org.kde.kirigamiaddons.formcard
        org.kde.kirigamiaddons.delegates
        org.kde.kirigamiaddons.statefulapp
        org.kde.akonadi
)

ecm_target_qml_sources(merkuro_mail_static SOURCES
    qml/app/Main.qml
    qml/app/MenuBar.qml
    qml/desktopactions/OpenMbox.qml

    qml/MailSidebar.qml
    qml/FolderView.qml
    qml/MailComposer.qml
    qml/ConversationViewer.qml
)
ecm_target_qml_sources(merkuro_mail_static
    PRIVATE PATH private SOURCES
    qml/private/AttachmentDelegate.qml
    qml/private/MailDelegate.qml
)

ecm_target_qml_sources(merkuro_mail_static
    PRIVATE PATH actions SOURCES
    qml/actions/NewFolderAction.qml
    qml/actions/DeleteFolderAction.qml
    qml/actions/MailItemMenu.qml
)

ecm_target_qml_sources(merkuro_mail_static
    PRIVATE PATH mailboxselector SOURCES
    qml/mailboxselector/MailBoxList.qml
    qml/mailboxselector/MailBoxListPage.qml
)

ecm_target_qml_sources(merkuro_mail_static
    PRIVATE PATH mailpartview SOURCES
    qml/mailpartview/ICalPart.qml
)

#### Binary

add_executable(merkuro-mail
    main.cpp
)

target_link_libraries(merkuro-mail
    PRIVATE
        Qt::Widgets
        Qt::Quick
        Qt::QuickControls2
        KF6::CoreAddons
        KF6::DBusAddons
        KF6::WindowSystem
        KF6::ConfigGui
        mail_settingsplugin
        merkuro_mail_staticplugin
        merkuro_mail_static
)
if(TARGET KF6::I18nQml)
target_link_libraries(merkuro-mail PRIVATE
        KF6::I18nQml
)
endif()
install(TARGETS merkuro-mail ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.merkuro.mail.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.merkuro.mail.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES merkuro.mail.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== debian/changelog ===
merkuro (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:51:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:24.12.2~),
-               libakonadicalendar-dev (>= 4:24.12.2~),
-               libakonadicontact-dev (>= 4:24.12.2~),
-               libakonadimime-dev (>= 4:24.12.2~),
+               libakonadi-dev (>= 4:24.12.3~),
+               libakonadicalendar-dev (>= 4:24.12.3~),
+               libakonadicontact-dev (>= 4:24.12.3~),
+               libakonadimime-dev (>= 4:24.12.3~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:24.12.2~),
-               libkdepim-dev (>= 4:24.12.2~),
+               libkcalendarutils-dev (>= 4:24.12.3~),
+               libkdepim-dev (>= 4:24.12.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -32,17 +32,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 24.12.2~),
+               libkidentitymanagement-dev (>= 24.12.3~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.2~),
-               libkmailtransport-dev (>= 24.12.2~),
-               libkmbox-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
-               libmailcommon-dev (>= 4:24.12.2~),
-               libmimetreeparser-dev (>= 24.12.2~),
-               libpimcommon-dev (>= 4:24.12.2~),
+               libkleo-dev (>= 4:24.12.3~),
+               libkmailtransport-dev (>= 24.12.3~),
+               libkmbox-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
+               libmailcommon-dev (>= 4:24.12.3~),
+               libmimetreeparser-dev (>= 24.12.3~),
+               libpimcommon-dev (>= 4:24.12.3~),
                libplasma-dev,
-               messagelib-dev (>= 4:24.12.2~),
+               messagelib-dev (>= 4:24.12.3~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
@@ -50,7 +50,7 @@
                qt6-svg-dev (>= 6.7.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/merkuro
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/merkuro
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/merkuro.git

## merkuro 25.04.0

=== debian/changelog ===
merkuro (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update build deps.
  * Update merkuro.qmlfiles and qmldeps.overrides

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:04:11 +0100

merkuro (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libakonadi-dev (>= 4:25.04.0~),
               libakonadicalendar-dev (>= 4:25.04.0~),
               libakonadicontact-dev (>= 4:25.04.0~),
               libakonadimime-dev (>= 4:25.04.0~),
               libakonadisearch-dev (>= 4:25.04.0~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkcalendarutils-dev (>= 4:25.04.0~),
               libkdepim-dev (>= 4:25.04.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.04.0~),
               libkirigami-dev (>= 6.6.0~),
               libkleo-dev (>= 4:25.04.0~),
               libkmailtransport-dev (>= 25.04.0~),
               libkmbox-dev (>= 25.04.0~),
               libkmime-dev (>= 25.04.0~),
               libmailcommon-dev (>= 4:25.04.0~),
               libmimetreeparser-dev (>= 25.04.0~),
               libpimcommon-dev (>= 4:25.04.0~),
               libplasma-dev,
               messagelib-dev (>= 4:25.04.0~),
               qml6-module-qtlocation,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-location-dev,
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Rules-Requires-Root: no

Package: merkuro
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kdepim-runtime,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: kalendarac,
Description: Application suite for emails, calendars, contacts and tasks
 Merkuro is a application suite designed to make handling your emails,
 calendars, contacts, and tasks simple. Merkuro handles local and remote
 accounts of your choice, keeping changes synchronised across your
 Plasma desktop or phone.

## merkuro 25.04.3

=== debian/changelog ===
merkuro (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:35 +0100

merkuro (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:01:52 +0100

merkuro (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:32 +0100

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,15 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.4.0~),
-               libakonadi-dev (>= 4:25.04.0~),
-               libakonadicalendar-dev (>= 4:25.04.0~),
-               libakonadicontact-dev (>= 4:25.04.0~),
-               libakonadimime-dev (>= 4:25.04.0~),
-               libakonadisearch-dev (>= 4:25.04.0~),
+               libakonadi-dev (>= 4:25.04.3~),
+               libakonadicalendar-dev (>= 4:25.04.3~),
+               libakonadicontact-dev (>= 4:25.04.3~),
+               libakonadimime-dev (>= 4:25.04.3~),
+               libakonadisearch-dev (>= 4:25.04.3~),
                libgpgme-dev,
                libgpgmepp-dev,
-               libkcalendarutils-dev (>= 4:25.04.0~),
-               libkdepim-dev (>= 4:25.04.0~),
+               libkcalendarutils-dev (>= 4:25.04.3~),
+               libkdepim-dev (>= 4:25.04.3~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6configwidgets-dev (>= 6.6.0~),
                libkf6contacts-dev (>= 6.6.0~),
@@ -35,17 +35,17 @@
                libkf6qqc2desktopstyle-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.04.0~),
+               libkidentitymanagement-dev (>= 25.04.3~),
                libkirigami-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.04.0~),
-               libkmailtransport-dev (>= 25.04.0~),
-               libkmbox-dev (>= 25.04.0~),
-               libkmime-dev (>= 25.04.0~),
-               libmailcommon-dev (>= 4:25.04.0~),
-               libmimetreeparser-dev (>= 25.04.0~),
-               libpimcommon-dev (>= 4:25.04.0~),
+               libkleo-dev (>= 4:25.04.3~),
+               libkmailtransport-dev (>= 25.04.3~),
+               libkmbox-dev (>= 25.04.3~),
+               libkmime-dev (>= 25.04.3~),
+               libmailcommon-dev (>= 4:25.04.3~),
+               libmimetreeparser-dev (>= 25.04.3~),
+               libpimcommon-dev (>= 4:25.04.3~),
                libplasma-dev,
-               messagelib-dev (>= 4:25.04.0~),
+               messagelib-dev (>= 4:25.04.3~),
                qml6-module-qtlocation,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
